import 'package:flutter/material.dart';
import 'package:provider/provider.dart';
import 'package:provider_state/ui/favorite_screen.dart';
import 'package:provider_state/ui/myapp.dart';
import 'package:provider_state/wrapper/multiprovider.dart';

void main() {
  runApp(MultiProvider(
      providers: WrapperProvider.wrapperList, child: const MyApp()));
}

class MyApp extends StatelessWidget {
  const MyApp({Key? key}) : super(key: key);

  @override
  Widget build(BuildContext context) {
    return MaterialApp(
      debugShowCheckedModeBanner: false,
      title: 'Flutter Demo',
      theme: ThemeData(
        primarySwatch: Colors.blue,
      ),
      initialRoute: '/',
      routes: {
        '/': (context) => const HomeScreen(),
      },
    );
  }
}
