import 'package:flutter/material.dart';
import 'package:provider/provider.dart';
import 'package:provider_state/model/products.dart';

import '../provider/card.dart';

class FavoriteScreen extends StatelessWidget {
  List<ProductModel> favoriteList;

  FavoriteScreen({Key? key, required this.favoriteList}) : super(key: key);

  @override
  Widget build(BuildContext context) {
    var obj = Provider.of<CardProvider>(context);
    return Scaffold(
      appBar: AppBar(
        backgroundColor: Colors.pinkAccent,
      ),
      body: ListView.separated(
        itemCount: favoriteList.length,
        separatorBuilder: (context, index) =>
            const Divider(color: Colors.red, thickness: 1.0),
        itemBuilder: (context, index) {
          final data = favoriteList[index];
          return InkWell(
            onTap: () => obj.addCard(data),
            child: Container(
              padding: const EdgeInsets.all(10.0),
              child: Row(
                mainAxisAlignment: MainAxisAlignment.spaceBetween,
                children: [
                  Column(
                    mainAxisAlignment: MainAxisAlignment.start,
                    crossAxisAlignment: CrossAxisAlignment.start,
                    children: [
                      Text(data.id.toString()),
                      const SizedBox(
                        height: 10.0,
                      ),
                      Text(data.name.toString()),
                    ],
                  ),
                  data.select
                      ? const Icon(
                          Icons.done,
                          color: Colors.blue,
                        )
                      : const SizedBox.shrink()
                ],
              ),
            ),
          );
        },
      ),
    );
  }
}
